<div class='manage-editors-icons' ...attributes>
  {{#if this.hasData}}
    <Input::Options::Frame @title={{capitalize (t 'display')}} class='manage-editors-icons-display'>
      <div class='form-floating'>
        <Input::Select class='icons-view-mode' id='{{this.elementId}}-icons-view-mode' @list={{this.viewModeOptions}} @value={{this.viewMode}} @onChange={{this.viewModeChanged}} />
        <label for='{{this.elementId}}-icons-view-mode'>{{capitalize (t 'size')}}</label>
      </div>

      <div class='form-floating'>
        <Input::Select class='icons-links' id='{{this.elementId}}-icons-links' @list={{this.linksOptions}} @value={{this.links}} @onChange={{this.linksChanged}} />
        <label for='{{this.elementId}}-icons-links'>{{capitalize (t 'enable links')}}</label>
      </div>

      <div class='form-floating'>
        <Input::Select class='icons-gutter' id='{{this.elementId}}-icons-gutter' @list={{this.gutterOptions}} @value={{this.gutter}} @onChange={{this.gutterChanged}} />
        <label for='{{this.elementId}}-icons-gutter'>{{capitalize (t 'gutter')}}</label>
      </div>

      <div class='form-floating'>
        <Input::Select class='icons-page-col-size' id='{{this.elementId}}-icons-page-col-size' @list={{this.iconsPerLineOptions}} @value={{this.iconsPerLine}} @onChange={{this.iconsPerLineChanged}} />
        <label for='{{this.elementId}}-icons-page-col-size'>{{capitalize (t 'icons per line')}}</label>
      </div>
    </Input::Options::Frame>
  {{/if}}

  <Input::Options::Frame @title={{capitalize (t 'icons')}}>
    <div {{did-insert this.setup}} {{did-update this.setup @value}}>
      {{#if this.showIconPicker}}
        <Input::Icons::Selector @value={{this.records}} @icons={{this.icons}} class='m-0 p-0 d-flex flex-wrap justify-content-start' @onSelect={{this.change}} />
      {{else}}
        <Input::Icons::Order @value={{this.records}} @onChange={{this.change}} />

        <button type='button' class='btn btn-secondary btn-select-icons' {{on 'click' this.toggleShowIconPicker}}>
          {{capitalize (t 'select icons')}}
        </button>
      {{/if}}
    </div>
  </Input::Options::Frame>
</div>